Bug 729649 - Review Request: perl-DateTime-Format-XSD - Format DateTime according to xsd:dateTime
Summary: Review Request: perl-DateTime-Format-XSD - Format DateTime according to xsd:d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 13:06 UTC by Steve Traylen
Modified: 2011-08-31 22:58 UTC (History)
2 users (show)

Fixed In Version: perl-DateTime-Format-XSD-0.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 18:50:10 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2011-08-10 13:06:09 UTC
Spec URL: http://cern.ch/straylen/rpms/perl-DateTime-Format-XSD/perl-DateTime-Format-XSD.spec
SRPM URL: http://cern.ch/straylen/rpms/perl-DateTime-Format-XSD/perl-DateTime-Format-XSD-0.2-1.fc15.src.rpm

Description: 
XML Schema defines a usage profile which is a subset of the ISO8601
profile. This profile defines that the following is the only possible
representation for a dateTime, despite all other options ISO provides.

F16 Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=3263868

rpmlint is clean.

(Note to self, this is not required for review but bug #729644 to be resolved before EPEL can be done.)

Comment 1 Iain Arnell 2011-08-12 03:20:17 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=3267170

Comment 2 Iain Arnell 2011-08-12 03:30:37 UTC
A nice simple package. The only minor issue I have is that the description is incomplete. How about replacing "the following" with 'YYYY-MM-DD"T"HH:MI:SS(Z|[+-]zh:zm)'?

The explicit Requires perl(DateTime::Format::ISO8601) is unnecessary in Fedora (at least since F15), but I guess you like to keep the spec the same for EPEL, so not really a problem.

APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3267170

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
503389db4e50f5a6d678236a7b40c1d67c3fda6a DateTime-Format-XSD-0.2.tar.gz
503389db4e50f5a6d678236a7b40c1d67c3fda6a DateTime-Format-XSD-0.2.tar.gz.srpm

Final provides / requires are sane:

======> perl-DateTime-Format-XSD-0.2-1.fc17.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl-DateTime-Format-XSD = 0.2-1.fc17
====> requires
perl(base)  
perl(DateTime::Format::ISO8601)  
perl(DateTime::Format::ISO8601)  
perl(:MODULE_COMPAT_5.14.1)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-DateTime-Format-XSD-0.2-1.fc17.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(DateTime::Format::ISO8601)  
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
State Changed: lock buildroot
INFO: installing package(s): perl-DateTime-Format-XSD-0.2-1.fc17.noarch.rpm
INFO: Ignored option -c (probably due to merging -yc != -y -c)

================================================================================
 Package                       Arch   Version          Repository          Size
================================================================================
Installing:
 perl-DateTime-Format-XSD      noarch 0.2-1.fc17       /perl-DateTime-Format-XSD-0.2-1.fc17.noarch
                                                                          4.5 k
Installing for dependencies:
 perl-Class-Factory-Util       noarch 1.7-10.fc16      fedora              17 k
 perl-Class-Load               noarch 0.06-5.fc16      fedora              12 k
 perl-Class-Singleton          noarch 1.4-10.fc16      fedora              17 k
 perl-DateTime                 x86_64 1:0.7000-3.fc16  fedora             2.0 M
 perl-DateTime-Format-Builder  noarch 0.8000-7.fc16    fedora              83 k
 perl-DateTime-Format-ISO8601  noarch 0.07-7.fc16      fedora              25 k
 perl-DateTime-Format-Strptime noarch 1.5000-4.fc16    fedora              29 k
 perl-List-MoreUtils           x86_64 0.32-3.fc16      fedora              55 k
 perl-Math-Round               noarch 0.06-10.fc16     fedora              13 k
 perl-Params-Validate          x86_64 1.00-3.fc16      fedora              64 k
 perl-parent                   noarch 1:0.225-185.fc17 fedora              30 k

Transaction Summary
================================================================================
Install      12 Package(s)

Total size: 2.3 M
Total download size: 2.3 M
Installed size: 10 M
http://mirror.nl.leaseweb.net/fedora/linux/development/rawhide/x86_64/os/Packages/perl-Class-Factory-Util-1.7-10.fc16.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
ftp://alviss.et.tudelft.nl/pub/fedora/linux/development/rawhide/x86_64/os/Packages/perl-Class-Load-0.06-5.fc16.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://mirror.nl.as6453.net/fedora/linux/development/rawhide/x86_64/os/Packages/perl-Class-Singleton-1.4-10.fc16.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ftp.nluug.nl/pub/os/Linux/distr/fedora/linux/development/rawhide/x86_64/os/Packages/perl-DateTime-0.7000-3.fc16.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://mirrors.nl.eu.kernel.org/fedora/development/rawhide/x86_64/os/Packages/perl-DateTime-Format-Builder-0.8000-7.fc16.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://nl.mirror.eurid.eu/fedora/linux/development/rawhide/x86_64/os/Packages/perl-DateTime-Format-Strptime-1.5000-4.fc16.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://mirror.switch.ch/ftp/mirror/fedora/linux/development/rawhide/x86_64/os/Packages/perl-List-MoreUtils-0.32-3.fc16.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://fedora.tu-chemnitz.de/pub/linux/fedora/linux/development/rawhide/x86_64/os/Packages/perl-Math-Round-0.06-10.fc16.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.
http://ftp.heanet.ie/pub/fedora/linux/development/rawhide/x86_64/os/Packages/perl-Params-Validate-1.00-3.fc16.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=fedora clean metadata
Trying other mirror.

Installed:
  perl-DateTime-Format-XSD.noarch 0:0.2-1.fc17                                  

Dependency Installed:
  perl-Class-Factory-Util.noarch 0:1.7-10.fc16                                  
  perl-Class-Load.noarch 0:0.06-5.fc16                                          
  perl-Class-Singleton.noarch 0:1.4-10.fc16                                     
  perl-DateTime.x86_64 1:0.7000-3.fc16                                          
  perl-DateTime-Format-Builder.noarch 0:0.8000-7.fc16                           
  perl-DateTime-Format-ISO8601.noarch 0:0.07-7.fc16                             
  perl-DateTime-Format-Strptime.noarch 0:1.5000-4.fc16                          
  perl-List-MoreUtils.x86_64 0:0.32-3.fc16                                      
  perl-Math-Round.noarch 0:0.06-10.fc16                                         
  perl-Params-Validate.x86_64 0:1.00-3.fc16                                     
  perl-parent.noarch 1:0.225-185.fc17                                           


State Changed: unlock buildroot
State Changed: end

Comment 3 Iain Arnell 2011-08-12 03:58:00 UTC
Oops. I missed that the package doesn't automatically provide perl(DateTime::Format::XSD). You should add this explicitly to the spec:

Provides: perl(DateTime::Format::XSD) = %{version}

Comment 4 Steve Traylen 2011-08-12 08:41:17 UTC
Hi Iain,

Thanks for the review, I'll add the extra provides before I import.

Comment 5 Steve Traylen 2011-08-12 08:42:38 UTC
New Package SCM Request
=======================
Package Name: perl-DateTime-Format-XSD
Short Description:  Format DateTime according to xsd:dateTime
Owners: stevetraylen
Branches:  f15 f16 el5 el6
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-08-12 12:38:46 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-12 13:14:57 UTC
perl-DateTime-Format-XSD-0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-XSD-0.2-1.fc15

Comment 8 Fedora Update System 2011-08-12 13:15:04 UTC
perl-DateTime-Format-XSD-0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-XSD-0.2-1.fc16

Comment 9 Fedora Update System 2011-08-12 20:35:47 UTC
perl-DateTime-Format-XSD-0.2-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-08-13 19:21:42 UTC
perl-DateTime-Format-XSD-0.2-1.el6, perl-DateTime-Format-ISO8601-0.07-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-XSD-0.2-1.el6,perl-DateTime-Format-ISO8601-0.07-7.el6

Comment 11 Fedora Update System 2011-08-13 19:23:34 UTC
perl-DateTime-Format-XSD-0.2-1.el5, perl-DateTime-Format-ISO8601-0.07-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-XSD-0.2-1.el5,perl-DateTime-Format-ISO8601-0.07-7.el5

Comment 12 Fedora Update System 2011-08-23 18:50:04 UTC
perl-DateTime-Format-XSD-0.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-08-23 20:37:27 UTC
perl-DateTime-Format-XSD-0.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2011-08-31 22:53:19 UTC
perl-DateTime-Format-XSD-0.2-1.el5, perl-DateTime-Format-ISO8601-0.07-7.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-08-31 22:57:51 UTC
perl-DateTime-Format-XSD-0.2-1.el6, perl-DateTime-Format-ISO8601-0.07-7.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.